/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package logger

import (
	"log"
	"os"
	"query-service/pkg/errorhandler"
	"strconv"
)

var logMessages bool

/*
Start error logging
*/
func Start() {
	var err error
	logMessages, err = strconv.ParseBool(os.Getenv("LOG_MESSAGES"))
	if err != nil {
		errorhandler.FailWithError(err, "invalid LOG_MESSAGES env variable")
	}
}

/*
Log logs a message to the console if logging is turned on
	msg: string, the message to be logged
*/
func Log(msg string) {
	if logMessages {
		log.Println(msg)
	}
}
